Package fr.gouv.vitam.logbook.common.parameters

# Enum Class Contexts

java.lang.Object
java.lang.Enum<Contexts>
fr.gouv.vitam.logbook.common.parameters.Contexts

All Implemented Interfaces:
  `Serializable`, `Comparable<Contexts>`, `Constable`

public enum Contexts extends Enum<Contexts>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ARCHIVE_TRANSFER`
  `AUDIT_WORKFLOW`
  `BLANK_TEST`
  `BULK_ATOMIC_UPDATE_UNIT_DESC`
  `COLLECT_DELETION_ACTION`
  `COLLECT_ELIMINATION_ACTION`
  `COLLECT_RECLASSIFICATION`
  `COLLECT_SIP_INGEST`
  `COMPUTE_INHERITED_RULES`
  `COMPUTE_INHERITED_RULES_DELETE`
  `DATA_MIGRATION`
  `DEFAULT_WORKFLOW`
  `DELETE_GOT_VERSIONS`
  `ELIMINATION_ACTION`
  `ELIMINATION_ANALYSIS`
  `EVIDENCE_AUDIT`
  `EXPORT_DIP`
  `EXPORT_PROBATIVE_VALUE`
  `FILING_SCHEME`
  `HOLDING_SCHEME`
  `IMPORT_ONTOLOGY`
  `INGEST_CLEANUP`
  `LINKED_CHECK`
  `LOGBOOK_STORAGE_TRACEABILITY`
  `LOGBOOK_TRACEABILITY`
  `MASS_UPDATE_UNIT_DESC`
  `MASS_UPDATE_UNIT_RULE`
  `OBJECTGROUP_LFC_TRACEABILITY`
  `PRESERVATION`
  `RECLASSIFICATION`
  `RECTIFICATION_AUDIT`
  `REFERENTIAL_FORMAT_IMPORT`
  `REFRENTIAL_FORMAT_DELETE`
  `REVERT_ESSENTIAL_METADATA`
  `TRANSFER_REPLY`
  `UNIT_LFC_TRACEABILITY`
  `UPDATE_RULES_ARCHIVE_UNITS`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getEventType()`
  Get eventType value
  `LogbookTypeProcess`
  `getLogbookTypeProcess()`
  Get logbook type process (evTypeProc)
  `static Contexts`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Contexts[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### BLANK_TEST

    public static final Contexts BLANK_TEST

  - ### HOLDING_SCHEME

    public static final Contexts HOLDING_SCHEME

  - ### FILING_SCHEME

    public static final Contexts FILING_SCHEME

  - ### DEFAULT_WORKFLOW

    public static final Contexts DEFAULT_WORKFLOW

  - ### UPDATE_RULES_ARCHIVE_UNITS

    public static final Contexts UPDATE_RULES_ARCHIVE_UNITS

  - ### MASS_UPDATE_UNIT_DESC

    public static final Contexts MASS_UPDATE_UNIT_DESC

  - ### MASS_UPDATE_UNIT_RULE

    public static final Contexts MASS_UPDATE_UNIT_RULE

  - ### BULK_ATOMIC_UPDATE_UNIT_DESC

    public static final Contexts BULK_ATOMIC_UPDATE_UNIT_DESC

  - ### REVERT_ESSENTIAL_METADATA

    public static final Contexts REVERT_ESSENTIAL_METADATA

  - ### LINKED_CHECK

    public static final Contexts LINKED_CHECK

  - ### AUDIT_WORKFLOW

    public static final Contexts AUDIT_WORKFLOW

  - ### LOGBOOK_TRACEABILITY

    public static final Contexts LOGBOOK_TRACEABILITY

  - ### LOGBOOK_STORAGE_TRACEABILITY

    public static final Contexts LOGBOOK_STORAGE_TRACEABILITY

  - ### UNIT_LFC_TRACEABILITY

    public static final Contexts UNIT_LFC_TRACEABILITY

  - ### OBJECTGROUP_LFC_TRACEABILITY

    public static final Contexts OBJECTGROUP_LFC_TRACEABILITY

  - ### EXPORT_DIP

    public static final Contexts EXPORT_DIP

  - ### ARCHIVE_TRANSFER

    public static final Contexts ARCHIVE_TRANSFER

  - ### EVIDENCE_AUDIT

    public static final Contexts EVIDENCE_AUDIT

  - ### RECTIFICATION_AUDIT

    public static final Contexts RECTIFICATION_AUDIT

  - ### DATA_MIGRATION

    public static final Contexts DATA_MIGRATION

  - ### RECLASSIFICATION

    public static final Contexts RECLASSIFICATION

  - ### COLLECT_RECLASSIFICATION

    public static final Contexts COLLECT_RECLASSIFICATION

  - ### ELIMINATION_ANALYSIS

    public static final Contexts ELIMINATION_ANALYSIS

  - ### ELIMINATION_ACTION

    public static final Contexts ELIMINATION_ACTION

  - ### COLLECT_ELIMINATION_ACTION

    public static final Contexts COLLECT_ELIMINATION_ACTION

  - ### COLLECT_DELETION_ACTION

    public static final Contexts COLLECT_DELETION_ACTION

  - ### EXPORT_PROBATIVE_VALUE

    public static final Contexts EXPORT_PROBATIVE_VALUE

  - ### TRANSFER_REPLY

    public static final Contexts TRANSFER_REPLY

  - ### PRESERVATION

    public static final Contexts PRESERVATION

  - ### COMPUTE_INHERITED_RULES

    public static final Contexts COMPUTE_INHERITED_RULES

  - ### COMPUTE_INHERITED_RULES_DELETE

    public static final Contexts COMPUTE_INHERITED_RULES_DELETE

  - ### IMPORT_ONTOLOGY

    public static final Contexts IMPORT_ONTOLOGY

  - ### REFERENTIAL_FORMAT_IMPORT

    public static final Contexts REFERENTIAL_FORMAT_IMPORT

  - ### REFRENTIAL_FORMAT_DELETE

    public static final Contexts REFRENTIAL_FORMAT_DELETE

  - ### INGEST_CLEANUP

    public static final Contexts INGEST_CLEANUP

  - ### DELETE_GOT_VERSIONS

    public static final Contexts DELETE_GOT_VERSIONS

  - ### COLLECT_SIP_INGEST

    public static final Contexts COLLECT_SIP_INGEST

- ## Method Details

  - ### values

    public static Contexts[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Contexts valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getLogbookTypeProcess

    public LogbookTypeProcess getLogbookTypeProcess()
    Get logbook type process (evTypeProc)
    Returns:
      the logbook type process

  - ### getEventType

    public String getEventType()
    Get eventType value
    Returns:
      the event type